MSVC 6.0 Unsupported?

Gerhard Häring gh at ghaering.de
Tue Aug 5 23:53:40 CEST 2003


Syver Enstad wrote:
> I've downloaded both source distro, and binary installer. Installed
> python with the binary installer, when I attempted to compile
> mxDateTime (mxBase) for 2.3 with MSVC 6.0 I got an error that seemed
> related to forward declarations.
> 
> It seems that the #defines that makes staticforward into extern when
> using the MSVC 6 compiler has been removed from object.h. So I guess
> this means I should use VC++ 7.0 to compile python with?

Huh? You couldn't be more wrong.

1) Python 2.3 binaries *are* built with MSVC6

2) staticforward was defined from exten to empty on win32 for Python 2.3

3) The quick hack I used is to insert something like:

#ifdef _MSC_VER
#define staticforward extern
#endif

in the relevant source files *after* they include Python.h.

Anyway you can't compile the eGenix extensions with Python 2.3. I hoped 
this gets fixed soon. The compile fails somewhere in the mxTextTools 
stuff. All I needed was mxDateTime and I got that to compile.

If you need Windoze binaries, I've uploaded some for the pyPgSQL project 
at http://sourceforge.net/project/showfiles.php?group_id=16528

pypgsql-experimental
	
      Python 2.3b2	2003-07-17 11:22
     egenix-mx-base-2.0.4.win32-py2.3.exe	471273 	6 	i386	.exe (32-bit 
Windows)

HTH,

-- Gerhard





More information about the Python-list mailing list